## spirv-headers 1.5.1

=== CMakeLists.txt ===
# Copyright (c) 2015-2016 The Khronos Group Inc.
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and/or associated documentation files (the
# "Materials"), to deal in the Materials without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Materials, and to
# permit persons to whom the Materials are furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Materials.
#
# MODIFICATIONS TO THIS FILE MAY MEAN IT NO LONGER ACCURATELY REFLECTS
# KHRONOS STANDARDS. THE UNMODIFIED, NORMATIVE VERSIONS OF KHRONOS
# SPECIFICATIONS AND HEADER INFORMATION ARE LOCATED AT
#    https://www.khronos.org/registry/
#
# THE MATERIALS ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
# CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
# MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.

#
# The SPIR-V headers from the SPIR-V Registry
# https://www.khronos.org/registry/spir-v/
#
cmake_minimum_required(VERSION 3.0)
project(SPIRV-Headers VERSION 1.4.1)

# There are two ways to use this project.
#
# Using this source tree directly from a CMake-based project:
#   1. Add an add_subdirectory directive to include this sub directory.
#   2. Use ${SPIRV-Headers_SOURCE_DIR}/include} in a target_include_directories
#      command.
#
# Installing the headers first, then using them with an implicit include
# directory.  To install the headers:
#   1. mkdir build ; cd build
#   2. cmake ..
#   3. cmake --build . --target install

# legacy
add_custom_target(install-headers
    COMMAND cmake -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/include/spirv
        $ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/include/spirv)

option(SPIRV_HEADERS_SKIP_EXAMPLES "Skip building examples"
      ${SPIRV_HEADERS_SKIP_EXAMPLES})
if(NOT ${SPIRV_HEADERS_SKIP_EXAMPLES})
  set(SPIRV_HEADERS_ENABLE_EXAMPLES ON)
endif()
if (SPIRV_HEADERS_ENABLE_EXAMPLES)
  message(STATUS "Building SPIRV-Header examples")
  add_subdirectory(example)
endif()

include(GNUInstallDirs)
add_library(${PROJECT_NAME} INTERFACE)
target_include_directories(${PROJECT_NAME} INTERFACE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
)

# Installation

set(config_install_dir "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")

set(generated_dir "${CMAKE_CURRENT_BINARY_DIR}/generated")

set(version_config "${generated_dir}/${PROJECT_NAME}ConfigVersion.cmake")
set(project_config "${generated_dir}/${PROJECT_NAME}Config.cmake")
set(TARGETS_EXPORT_NAME "${PROJECT_NAME}Targets")
set(namespace "${PROJECT_NAME}::")

include(CMakePackageConfigHelpers)
write_basic_package_version_file(
    "${version_config}"
    COMPATIBILITY SameMajorVersion
)

configure_package_config_file(
    "cmake/Config.cmake.in"
    "${project_config}"
    INSTALL_DESTINATION "${config_install_dir}"
)

install(
    TARGETS ${PROJECT_NAME}
    EXPORT "${TARGETS_EXPORT_NAME}"
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

install(
    DIRECTORY include/spirv
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

install(
    FILES "${project_config}" "${version_config}"
    DESTINATION "${config_install_dir}"
)

install(
    EXPORT "${TARGETS_EXPORT_NAME}"
    NAMESPACE "${namespace}"
    DESTINATION "${config_install_dir}"
)

## spirv-headers 1.5.4+rt

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 # https://www.khronos.org/registry/spir-v/
 #
 cmake_minimum_required(VERSION 3.0)
-project(SPIRV-Headers VERSION 1.4.1)
+project(SPIRV-Headers VERSION 1.5.1)
 
 # There are two ways to use this project.
 #
@@ -51,9 +51,18 @@
 
 option(SPIRV_HEADERS_SKIP_EXAMPLES "Skip building examples"
       ${SPIRV_HEADERS_SKIP_EXAMPLES})
+
+option(SPIRV_HEADERS_SKIP_INSTALL "Skip install"
+      ${SPIRV_HEADERS_SKIP_INSTALL})
+
 if(NOT ${SPIRV_HEADERS_SKIP_EXAMPLES})
   set(SPIRV_HEADERS_ENABLE_EXAMPLES ON)
 endif()
+
+if(NOT ${SPIRV_HEADERS_SKIP_INSTALL})
+  set(SPIRV_HEADERS_ENABLE_INSTALL ON)
+endif()
+
 if (SPIRV_HEADERS_ENABLE_EXAMPLES)
   message(STATUS "Building SPIRV-Header examples")
   add_subdirectory(example)
@@ -67,49 +76,52 @@
 
 # Installation
 
-set(config_install_dir "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")
+if (SPIRV_HEADERS_ENABLE_INSTALL)
+    message(STATUS "Installing SPIRV-Header")
 
-set(generated_dir "${CMAKE_CURRENT_BINARY_DIR}/generated")
+    set(config_install_dir "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")
 
-set(version_config "${generated_dir}/${PROJECT_NAME}ConfigVersion.cmake")
-set(project_config "${generated_dir}/${PROJECT_NAME}Config.cmake")
-set(TARGETS_EXPORT_NAME "${PROJECT_NAME}Targets")
-set(namespace "${PROJECT_NAME}::")
+    set(generated_dir "${CMAKE_CURRENT_BINARY_DIR}/generated")
 
-include(CMakePackageConfigHelpers)
-write_basic_package_version_file(
-    "${version_config}"
-    COMPATIBILITY SameMajorVersion
-)
+    set(version_config "${generated_dir}/${PROJECT_NAME}ConfigVersion.cmake")
+    set(project_config "${generated_dir}/${PROJECT_NAME}Config.cmake")
+    set(TARGETS_EXPORT_NAME "${PROJECT_NAME}Targets")
+    set(namespace "${PROJECT_NAME}::")
 
-configure_package_config_file(
-    "cmake/Config.cmake.in"
-    "${project_config}"
-    INSTALL_DESTINATION "${config_install_dir}"
-)
+    include(CMakePackageConfigHelpers)
+    write_basic_package_version_file(
+        "${version_config}"
+        COMPATIBILITY SameMajorVersion
+    )
 
-install(
-    TARGETS ${PROJECT_NAME}
-    EXPORT "${TARGETS_EXPORT_NAME}"
-    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
-    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
-    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
-    INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
-)
+    configure_package_config_file(
+        "cmake/Config.cmake.in"
+        "${project_config}"
+        INSTALL_DESTINATION "${config_install_dir}"
+    )
 
-install(
-    DIRECTORY include/spirv
-    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
-)
+    install(
+        TARGETS ${PROJECT_NAME}
+        EXPORT "${TARGETS_EXPORT_NAME}"
+        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+        INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
+    )
 
-install(
-    FILES "${project_config}" "${version_config}"
-    DESTINATION "${config_install_dir}"
-)
+    install(
+        DIRECTORY include/spirv
+        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
+    )
 
-install(
-    EXPORT "${TARGETS_EXPORT_NAME}"
-    NAMESPACE "${namespace}"
-    DESTINATION "${config_install_dir}"
-)
+    install(
+        FILES "${project_config}" "${version_config}"
+        DESTINATION "${config_install_dir}"
+    )
 
+    install(
+        EXPORT "${TARGETS_EXPORT_NAME}"
+        NAMESPACE "${namespace}"
+        DESTINATION "${config_install_dir}"
+    )
+endif()

## spirv-headers 1.6.1%2B1.3.239.0

=== example/CMakeLists.txt ===
add_library(SPIRV-Headers-example
	${CMAKE_CURRENT_SOURCE_DIR}/example.cpp)
target_include_directories(SPIRV-Headers-example
	PRIVATE ${SPIRV-Headers_SOURCE_DIR}/include)

## spirv-headers 1.6.1%2B1.3.275.0

=== debian/changelog ===
spirv-headers (1.6.1+1.3.275.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Jan 2024 19:23:01 +0200

spirv-headers (1.6.1+1.3.268.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 03 Nov 2023 11:22:54 +0200

spirv-headers (1.6.1+1.3.261.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1053796)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 11 Oct 2023 18:41:33 +0300

spirv-headers (1.6.1+1.3.250.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 12 Jun 2023 17:13:56 +0300

spirv-headers (1.6.1+1.3.239.0+git20230321-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 21 Mar 2023 17:33:10 +0200

spirv-headers (1.6.1+1.3.239.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 06 Feb 2023 10:49:17 +0200

spirv-headers (1.6.1+1.3.236.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Jan 2023 20:02:23 +0200

spirv-headers (1.6.1+1.3.231.1-1) unstable; urgency=medium

  * New upstream snapshot from sdk-1.3.231.1.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Nov 2022 10:29:36 +0200

spirv-headers (1.6.1+1.3.216.0-1) unstable; urgency=medium

  * New upstream snapshot from sdk-1.3.216.0.
  * use-arch-independent.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 22 Jun 2022 12:58:09 +0300

spirv-headers (1.6.1+1.3.204.0-4) unstable; urgency=medium

  * use-arch-independent.diff: Create arch-independent cmake files.
    Thanks, Andrea Pappacoda!
  * Install cmake files again.
  * source: Bump format to 3.0 (quilt).

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Apr 2022 22:01:04 +0300

spirv-headers (1.6.1+1.3.204.0-3) unstable; urgency=medium

  * Drop cmake files, they are not arch-independent, and apparently
    break vulkan-validationlayers build on 32bit archs.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 06 Apr 2022 16:13:59 +0300

spirv-headers (1.6.1+1.3.204.0-2) unstable; urgency=medium

  * control, rules: Build with cmake.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Feb 2022 07:19:22 +0200

spirv-headers (1.6.1+1.3.204.0-1) unstable; urgency=medium

  * New upstream snapshot from sdk-1.3.204.0 tag.
  * control: Migrate to debhelper-compat, bump to 13.
  * control: Bump policy to 4.6.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 16 Feb 2022 11:54:11 +0200

spirv-headers (1.5.5+1.2.198.0-1) unstable; urgency=medium

  * New upstream snapshot from sdk-1.2.198.0 tag.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 07 Jan 2022 11:16:56 +0200

spirv-headers (1.5.4+rt3-1) unstable; urgency=medium

  * New upstream snapshot.
  * revert-to-07f259e68af3a54.diff: Dropped.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 18 Aug 2021 16:21:40 +0300

spirv-headers (1.5.4+rt2-2) experimental; urgency=medium

  * revert-to-07f259e68af3a54.diff: Newer headers break spirv-tools
    build, so revert to the known-good commit.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 Aug 2021 09:26:07 +0300

spirv-headers (1.5.4+rt2-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 21 Jul 2021 10:32:33 +0300

spirv-headers (1.5.4+rt-1) unstable; urgency=medium

  * New upstream snapshot.
    - support for raytracing

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Dec 2020 23:18:31 +0200

spirv-headers (1.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 05 Nov 2020 10:37:29 +0200

spirv-headers (1.5.3+1-1) unstable; urgency=medium

  * New upstream snapshot from 1.5.3.reservations1 tag.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 15 Sep 2020 18:36:16 +0300

spirv-headers (1.5.3-1) unstable; urgency=medium

  * New upstream release.
  * reserve-opcode-block.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 01 Jun 2020 10:23:04 +0300

spirv-headers (1.5.1+git20200409-1) unstable; urgency=medium

  * New upstream snapshot for SPV_KHR_ray_tracing. (LP: #1871754)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 09 Apr 2020 14:12:57 +0300

spirv-headers (1.5.1-4) unstable; urgency=medium

  * Mark spirv-headers Multi-Arch: foreign. (Closes: #941943)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 22 Jan 2020 14:05:54 +0200

spirv-headers (1.5.1-3) unstable; urgency=medium

  * reserve-opcode-block.diff: Add a commit for glslang.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 22 Jan 2020 14:01:40 +0200

spirv-headers (1.5.1-2) unstable; urgency=medium

  * Sync with 1.5.1.corrected tag.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 19 Nov 2019 23:35:01 +0200

spirv-headers (1.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Oct 2019 12:31:25 +0300

spirv-headers (1.4.1+git20190816-1) unstable; urgency=medium

  * New upstream snapshot, drop the patch.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 16 Aug 2019 13:22:49 +0300

spirv-headers (1.4.1-2) unstable; urgency=medium

  * Add-support-for-SPV_NV_sm_shader_builtins.patch: Needed for spirv-
    tools 2019.4.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 16 Aug 2019 12:35:09 +0300

spirv-headers (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated.
  * Bump debhelper to 12.
  * control: Bump policy to 4.4.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Aug 2019 15:38:41 +0300

spirv-headers (1.3+git20190113-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 13 Jan 2019 18:41:18 +0200

spirv-headers (1.3+git20181003-1) unstable; urgency=medium

  * New upstream snapshot.
  * links: Add SPIRV symlink. (Closes: #904610)
  * control: Fix vcs urls.



## spirv-headers 1.6.1%2B1.4.321.0

=== tools/buildHeaders/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

set(CMAKE_INSTALL_PREFIX "install" CACHE STRING "prefix" FORCE)

project(buildSpvHeaders)

set(SOURCES
    main.cpp
    jsonToSpirv.cpp
    header.cpp
    jsoncpp/dist/jsoncpp.cpp)

set(HEADERS
    jsonToSpirv.h
    header.h
    jsoncpp/dist/json/json.h)

if(CMAKE_COMPILER_IS_GNUCXX)
    add_definitions(-std=c++11)
elseif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_definitions(-std=c++11)
endif()

add_executable(buildSpvHeaders ${SOURCES} ${HEADERS})

install(TARGETS buildSpvHeaders RUNTIME DESTINATION bin)

## spirv-headers 1.6.1+1.3.216.0

=== debian/changelog ===
spirv-headers (1.6.1+1.3.216.0-1~ubuntu0.22.04.2) jammy-security; urgency=medium

  * No-change rebuild in the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 06 Jul 2023 07:35:02 -0400

spirv-headers (1.6.1+1.3.216.0-1~ubuntu0.22.04.1) jammy; urgency=medium

  * Backport to jammy. (LP: #1991761)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 13 Oct 2022 19:13:10 +0300

=== debian/control ===
Source: spirv-headers
Section: libdevel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Build-Depends: debhelper-compat (=13),
 cmake,
Standards-Version: 4.6.0
Homepage: https://github.com/KhronosGroup/SPIRV-Headers
Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/spirv-headers.git
Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/spirv-headers

Package: spirv-headers
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Machine-readable files for the SPIR-V Registry
 This package includes:
  - Header files for various languages
  - JSON files describing the grammar for the SPIR-V core instruction
    set and the extended instruction sets.
  - The XML registry file.
 .
 For more info, see https://github.com/KhronosGroup/SPIRV-Headers

## spirv-headers 1.6.1+1.3.275.0+git20240228

=== debian/changelog ===
spirv-headers (1.6.1+1.3.275.0+git20240228-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #1065551)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Mar 2024 18:08:31 +0200

## spirv-headers 1.6.1+1.3.280.0

=== debian/changelog ===
spirv-headers (1.6.1+1.3.280.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Apr 2024 18:41:09 +0300

## spirv-headers 1.6.1+1.3.283.0

=== debian/changelog ===
spirv-headers (1.6.1+1.3.283.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 30 May 2024 10:09:52 +0300

## spirv-headers 1.6.1+1.3.290.0

=== debian/changelog ===
spirv-headers (1.6.1+1.3.290.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Aug 2024 11:16:56 +0300

## spirv-headers 1.6.1+1.3.296.0

=== debian/changelog ===
spirv-headers (1.6.1+1.3.296.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 16 Oct 2024 13:21:51 +0300

## spirv-headers 1.6.1+1.4.304.0

=== debian/changelog ===
spirv-headers (1.6.1+1.4.304.0-1tux1) noble; urgency=medium

  * Non-maintainer upload.
  * rebuild for TUXEDO

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 27 Feb 2025 15:53:13 +0100

spirv-headers (1.6.1+1.4.304.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 16 Jan 2025 15:20:47 +0200

## spirv-headers 1.6.1+1.4.309.0

=== debian/changelog ===
spirv-headers (1.6.1+1.4.309.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 25 Oct 2025 12:20:13 -0700

spirv-headers (1.6.1+1.4.309.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1100751)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 18 Mar 2025 14:31:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: spirv-headers
 Section: libdevel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Build-Depends: debhelper-compat (=13),
- cmake,
+Build-Depends: cmake, debhelper-compat (=13)
 Standards-Version: 4.6.0
 Homepage: https://github.com/KhronosGroup/SPIRV-Headers
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/spirv-headers.git

## spirv-headers 1.6.1+1.4.321.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2024 The Khronos Group Inc.
# SPDX-License-Identifier: MIT
# 
# MODIFICATIONS TO THIS FILE MAY MEAN IT NO LONGER ACCURATELY REFLECTS
# KHRONOS STANDARDS. THE UNMODIFIED, NORMATIVE VERSIONS OF KHRONOS
# SPECIFICATIONS AND HEADER INFORMATION ARE LOCATED AT
#    https://www.khronos.org/registry/

cmake_minimum_required(VERSION 3.14)
project(SPIRV-Headers LANGUAGES C CXX VERSION 1.5.5)

if (CMAKE_VERSION VERSION_LESS "3.21")
    # https://cmake.org/cmake/help/latest/variable/PROJECT_IS_TOP_LEVEL.html
    string(COMPARE EQUAL ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_SOURCE_DIR} PROJECT_IS_TOP_LEVEL)
endif()

add_library(SPIRV-Headers INTERFACE)
add_library(SPIRV-Headers::SPIRV-Headers ALIAS SPIRV-Headers)
target_include_directories(SPIRV-Headers INTERFACE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>)

option(SPIRV_HEADERS_ENABLE_TESTS "Test SPIRV-Headers" ${PROJECT_IS_TOP_LEVEL})
option(SPIRV_HEADERS_ENABLE_INSTALL "Install SPIRV-Headers" ${PROJECT_IS_TOP_LEVEL})

if(SPIRV_HEADERS_ENABLE_TESTS)
    add_subdirectory(tests)
endif()

if(SPIRV_HEADERS_ENABLE_INSTALL)
    include(GNUInstallDirs)
    include(CMakePackageConfigHelpers)

    install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/include/spirv DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

    set(cmake_install_dir "${CMAKE_INSTALL_DATADIR}/cmake/SPIRV-Headers")
    set(version_config "${CMAKE_CURRENT_BINARY_DIR}/generated/SPIRV-HeadersConfigVersion.cmake")

    write_basic_package_version_file("${version_config}" COMPATIBILITY SameMajorVersion ARCH_INDEPENDENT)
    install(FILES "${version_config}" DESTINATION "${cmake_install_dir}")

    install(TARGETS SPIRV-Headers EXPORT "SPIRV-HeadersConfig" INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
    install(EXPORT "SPIRV-HeadersConfig" NAMESPACE "SPIRV-Headers::" DESTINATION "${cmake_install_dir}")

    if (IS_ABSOLUTE ${CMAKE_INSTALL_INCLUDEDIR})
        set(SPIRV_HEADERS_PKGCONFIG_INCLUDE_DIR ${CMAKE_INSTALL_INCLUDEDIR})
    else()
        set(SPIRV_HEADERS_PKGCONFIG_INCLUDE_DIR ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR})
    endif()
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/SPIRV-Headers.pc.in ${CMAKE_CURRENT_BINARY_DIR}/SPIRV-Headers.pc @ONLY)
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/SPIRV-Headers.pc" DESTINATION ${CMAKE_INSTALL_DATADIR}/pkgconfig)
endif()

=== tests/CMakeLists.txt ===
# Copyright (c) 2015-2024 The Khronos Group Inc.
# SPDX-License-Identifier: MIT
#
# MODIFICATIONS TO THIS FILE MAY MEAN IT NO LONGER ACCURATELY REFLECTS
# KHRONOS STANDARDS. THE UNMODIFIED, NORMATIVE VERSIONS OF KHRONOS
# SPECIFICATIONS AND HEADER INFORMATION ARE LOCATED AT
#    https://www.khronos.org/registry/

add_executable(spirv_headers_simple_test example.cpp)
target_compile_definitions(spirv_headers_simple_test PRIVATE SPV_ENABLE_UTILITY_CODE)
target_link_libraries(spirv_headers_simple_test PRIVATE SPIRV-Headers::SPIRV-Headers)
add_test(NAME spirv_headers_simple_test COMMAND spirv_headers_simple_test)

add_executable(spirv_headers_simple_test_cpp11 example11.cpp)
target_compile_definitions(spirv_headers_simple_test_cpp11 PRIVATE SPV_ENABLE_UTILITY_CODE)
target_link_libraries(spirv_headers_simple_test_cpp11 PRIVATE SPIRV-Headers::SPIRV-Headers)
set_target_properties(spirv_headers_simple_test_cpp11 PROPERTIES CXX_STANDARD 11)
add_test(NAME spirv_headers_simple_test_cpp11 COMMAND spirv_headers_simple_test_cpp11)

add_executable(spirv_headers_simple_test_c example.c)
target_compile_definitions(spirv_headers_simple_test_c PRIVATE SPV_ENABLE_UTILITY_CODE)
target_link_libraries(spirv_headers_simple_test_c PRIVATE SPIRV-Headers::SPIRV-Headers)
set_target_properties(spirv_headers_simple_test_c PROPERTIES C_STANDARD 99 LINKER_LANGUAGE C)
add_test(NAME spirv_headers_simple_test_c COMMAND spirv_headers_simple_test_c)

if (NOT TARGET SPIRV-Headers)
    message(FATAL_ERROR "SPIRV-Headers target not defined!")
endif()

if (NOT PROJECT_NAME STREQUAL "SPIRV-Headers")
    message(FATAL_ERROR "PROJECT_NAME changed!") # Needed for backcompat with SPIRV-Tools.
endif()

if (NOT DEFINED SPIRV-Headers_SOURCE_DIR)
    message(FATAL_ERROR "SPIRV-Headers_SOURCE_DIR not defined!") # Needed for backcompat with SPIRV-Tools.
endif()

=== debian/changelog ===
spirv-headers (1.6.1+1.4.321.0-2) unstable; urgency=medium

  * patches: Added a patch for spirv-llvm-translator. (Closes: #1111123)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 22 Aug 2025 11:51:52 +0300

spirv-headers (1.6.1+1.4.321.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 11 Aug 2025 06:41:27 +0300

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?(\d[\d.]*)\.tar\.gz%spirv-headers-$1.tar.gz%" \
   https://github.com/KhronosGroup/spirv-headers/tags \
   (?:.*?/)?(\d[\d.]*)\.tar\.gz

## spirv-headers 1.6.1+1.4.328.1

=== tests/find_package/CMakeLists.txt ===
# Copyright (c) 2015-2024 The Khronos Group Inc.
# SPDX-License-Identifier: MIT

cmake_minimum_required(VERSION 3.14)

project(TEST_FIND_PACKAGE LANGUAGES CXX)

add_library(find_package_example STATIC
    ${CMAKE_CURRENT_SOURCE_DIR}/../example.cpp
)

find_package(SPIRV-Headers REQUIRED CONFIG)

if (NOT TARGET SPIRV-Headers::SPIRV-Headers)
    message(FATAL_ERROR "SPIRV-Headers::SPIRV-Headers target not defined")
endif()

target_link_libraries(find_package_example PRIVATE
    SPIRV-Headers::SPIRV-Headers
)

if (NOT DEFINED SPIRV-Headers_VERSION)
    message(FATAL_ERROR "SPIRV-Headers_VERSION not provided!")
endif()

message(STATUS "SPIRV-Headers_VERSION = ${SPIRV-Headers_VERSION}")

=== debian/changelog ===
spirv-headers (1.6.1+1.4.328.1-1) unstable; urgency=medium

  * New upstream release.
  * patches: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Oct 2025 12:35:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: spirv-headers
 Section: libdevel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Build-Depends: cmake, debhelper-compat (=13)
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Build-Depends: debhelper-compat (=13),
+ cmake,
 Standards-Version: 4.6.0
 Homepage: https://github.com/KhronosGroup/SPIRV-Headers
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/spirv-headers.git

=== debian/rules ===
#!/usr/bin/make -f

# see /usr/share/dpkg/*
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

gentarball:
	git archive --format=tar upstream-unstable --prefix=$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/ | \
		gzip -9 > \
		../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz

## spirv-headers 1.6.1+1.4.335.0

=== debian/changelog ===
spirv-headers (1.6.1+1.4.335.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Dec 2025 11:30:00 +0200

## spirv-headers 1.6.1+1.4.341.0

=== debian/changelog ===
spirv-headers (1.6.1+1.4.341.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 Feb 2026 10:55:40 +0200
